Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Point3I Class Reference

`#include <mPoint.h>`

## Public Member Functions
| Point3I ()
| Create an uninitialized point. More...
| Point3I (const Point3I &)
| Copy constructor. More...
| Point3I (const S32 in_x, const S32 in_y, const S32 in_z)
| Create a point from co-ordinates. More...
void | set (const S32 in_x, const S32 in_y, const S32 in_z)
| Set co-ordinates. More...
void | setMin (const Point3I &)
| Store lesser co-ordinates in this point. More...
void | setMax (const Point3I &)
| Store greater co-ordinates in this point. More...
void | neg ()
| Invert co-ordinate's signs. More...
void | convolve (const Point3I &)
| Convolve by paramater. More...
bool | isZero () const
| Check for point at origin. (No epsilon.) More...
F32 | len () const
| Get length. More...
bool | operator== (const Point3I &) const
bool | operator!= (const Point3I &) const
Point3I | operator+ (const Point3I &) const
Point3I | operator- (const Point3I &) const
Point3I & | operator+= (const Point3I &)
Point3I & | operator-= (const Point3I &)
Point3I | operator* (const S32) const
Point3I & | operator*= (const S32)
Point3I | operator/ (const S32) const
Point3I & | operator/= (const S32)
Point3I | operator- () const

## Public Attributes
S32 | x
| X co-ordinate. More...
S32 | y
| Y co-ordinate. More...
S32 | z
| Z co-ordinate. More...

## Static Public Attributes
static const Point3I | One
static const Point3I | Zero

## Detailed Description

3D integer point

Uses S32 internally.

## Constructor & Destructor Documentation

Point3I | ( |  | ) |
| inline

Create an uninitialized point.

Point3I | ( | const Point3I & | _copy | ) |
| inline

Copy constructor.

Point3I | ( | const S32 | in_x,
|  | const S32 | in_y,
|  | const S32 | in_z
| ) |  |
| inline

Create a point from co-ordinates.

## Member Function Documentation

void convolve | ( | const Point3I & | c | ) |
| inline

Convolve by paramater.

bool isZero | ( |  | ) | const
| inline

Check for point at origin. (No epsilon.)

F32 len | ( |  | ) | const
| inline

Get length.

void neg | ( |  | ) |
| inline

Invert co-ordinate's signs.

bool operator!= | ( | const Point3I & | _test | ) | const
| inline

Point3I operator* | ( | const S32 | mul | ) | const
| inline

Point3I & operator*= | ( | const S32 | mul | ) |
| inline

Point3I operator+ | ( | const Point3I & | _add | ) | const
| inline

Point3I & operator+= | ( | const Point3I & | _add | ) |
| inline

Point3I operator- | ( | const Point3I & | _rSub | ) | const
| inline

Point3I operator- | ( |  | ) | const
| inline

Point3I & operator-= | ( | const Point3I & | _rSub | ) |
| inline

Point3I operator/ | ( | const S32 | div | ) | const
| inline

Point3I & operator/= | ( | const S32 | div | ) |
| inline

bool operator== | ( | const Point3I & | _test | ) | const
| inline

void set | ( | const S32 | in_x,
|  | const S32 | in_y,
|  | const S32 | in_z
| ) |  |
| inline

Set co-ordinates.

void setMax | ( | const Point3I & | _test | ) |
| inline

Store greater co-ordinates in this point.

void setMin | ( | const Point3I & | _test | ) |
| inline

Store lesser co-ordinates in this point.

## Member Data Documentation

const Point3I One
| static

S32 x

X co-ordinate.

S32 y

Y co-ordinate.

S32 z

Z co-ordinate.

const Point3I Zero
| static

The documentation for this class was generated from the following files:

- math/mPoint.h
- math/mPoint.cpp